import request from "@/utils/httpRequest";
import { REGISTER_PATH as prefix } from "../../AppPath";

export default {
	list: function (params) {
		return request({
			url: prefix + '/reimburseSubmitAccount/list',
			method: 'get',
			params: params
		})
	},
	save (inputForm) {
		return request({
			url: prefix +  `/reimburseSubmitAccount/save`,
			method: 'post',
			data: inputForm
		})
	},
	findById (id) {
		return request({
			url: prefix + '/reimburseSubmitAccount/findById',
			method: 'get',
			params: {id: id}
		})
	},
	updateStatusById (param) {
		return request({
			url: prefix + '/reimburseSubmitAccount/updateStatusById',
			method: 'post',
			data: param
		})
	},
	remove (id) {
		return request({
			url: prefix + '/reimburseSubmitAccount/remove',
			method: 'get',
			params: {id: id}
		})
	}
}
